For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate organization
            • GETGet organization
            • GETGet basic details by name
            • GETGet basic details by ID
            • GETGet organization settings
            • PUTUpdate organization
            • DELDelete organization
            • GETList suborganizations by organization
            • GETExport organizations by paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesOrganizations

Update organization

|View as Markdown|Open in Claude|
PUT
/Organization/:orgId
PUT
/api/Organization/:orgId
$curl -X PUT https://api-sandbox.payabli.com/api/Organization/123 \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "contacts": [
> {
> "contactEmail": "herman@hermanscoatings.com",
> "contactName": "Herman Martinez",
> "contactPhone": "3055550000",
> "contactTitle": "Owner"
> }
> ],
> "orgAddress": "123 Walnut Street",
> "orgCity": "Johnson City",
> "orgCountry": "US",
> "orgEntryName": "pilgrim-planner",
> "orgId": "123",
> "orgName": "Pilgrim Planner",
> "orgState": "TN",
> "orgTimezone": -5,
> "orgType": 0,
> "orgWebsite": "www.pilgrimageplanner.com",
> "orgZip": "37615"
>}'
1{
2 "responseCode": 1,
3 "responseText": "Success",
4 "isSuccess": true,
5 "responseData": 2442
6}
Updates an organization's details by ID.
Was this page helpful?
Previous

Get organization settings

Next

Delete organization

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Request

This endpoint expects an object.
serviceslist of objectsOptional
billingInfoobjectOptional
contactslist of objectsOptional
List of contacts.
hasBillingbooleanOptional
hasResidualbooleanOptional
orgAddressstringOptional
The organization's address.
orgCitystringOptional
The organization's city.
orgCountrystringOptional
The organization's country.
orgEntryNamestringOptional
The entryname for the org, in string format. If you leave this blank, Payabli uses the DBA name.
orgIdstringOptional
An alternate ID for the organization, in string format. This can be your internal identifier for an org, and is typically a name, like "My Suborganization".
orgLogoobjectOptional
Contains details about a file. Max upload size is 30 MB.
orgNamestringOptional
The name of the organization.
orgParentIdlongOptional
The ID of the org's parent organization.
orgStatestringOptional
The organization's state.
orgTimezoneintegerOptional

The org’s timezone, in UTC offset. For example, -5 is Eastern time.

orgTypeintegerOptional

The organization type. Currently, this must be 0.

orgWebsitestringOptional
The organization's website.
orgZipstringOptional
The organization's ZIP code.
replyToEmailstringOptionalformat: "email"

Email address for organization-level communications, such as messages about why an application was declined. This is required by commerce laws in the US.

Response

Success
responseCodeinteger

Code for the response. Learn more in API Response Codes.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
responseDatastring or integer
Returns the organization ID.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error